YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class SeriesItemRenderer

Package | com.yahoo.astra.fl.charts.series
Class | public class SeriesItemRenderer
Inheritance | SeriesItemRenderer fl.core.UIComponent
Implements | ISeriesItemRenderer

The primary item renderer class for a chart series.

See also

com.yahoo.astra.fl.charts.series.Series

Public Properties

| Property | Defined by
--- | --- | ---
|  | data : Object The data for the item that this data tip represents. | SeriesItemRenderer
|  | series : ISeries | SeriesItemRenderer

Protected Properties

| Property | Defined by
--- | --- | ---
|  | aspectRatio : Number = 1 | SeriesItemRenderer

Public Methods

| Method | Defined by
--- | --- | ---
|  | SeriesItemRenderer() Constructor. | SeriesItemRenderer

Styles

| Style | Description | Defined by
--- | --- | --- | ---
|  | fillColor | Type: uint The color used by a skin that uses fill colors. | SeriesItemRenderer
|  | skin | Type: Class The DisplayObject subclass used to display the background. | SeriesItemRenderer

Property detail

aspectRatio | property

`protected var aspectRatio:Number = 1`

data | property |

`data:Object` [read-write]

The data for the item that this data tip represents. Custom implementations of `IDataTipRenderer` may use this property to render additional information for the user.

Implementation
`public function get data():Object`
`public function set data(value:Object):void`

series | property |

`series:ISeries` [read-write]Implementation
`public function get series():ISeries`
`public function set series(value:ISeries):void`
Constructor detail

SeriesItemRenderer | () | constructor

`public function SeriesItemRenderer()`

Constructor.